Table of Contents

## Name

XtAppSetFallbackResources - set fallback resources

## Syntax

void XtAppSetFallbackResources(app_context, specification_list)
XtAppContext app_context;
String* specification_list;

## Arguments

app_context
  Specifies the application context.
specification_list
  Specifies a NULL-terminated list of resource specifications to pre-load the database, or NULL.

## Description

Each entry in specification_list points to a string in the format XrmPutLineResource. following a call to XtAppSetFallbackResources, when a resource database is being created for a particular screen and the Intrinsics are not able to find or read an application-specific class resource file and if specification_list is not NULL the resource specification in specification_list will be merged into the screen resource database in place of the application-specific class resource file. XtAppSetFallbackResources is not required to copy specification_list; the caller must ensure that the contents of the list and the strings addressed by the list remain valid until all displays are initialized or until XtAppSetFallbackResources is called again. The value NULL for specification_list removes any previous fallback resource specification for the application context. The intended use for fallback resources is to provide a minimal number of resources that will make the application usable (or at least terminate with helful diagnostic messages) when some problem exists in finding and loading the application defaults file.

## See Also

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also